%define oname oslotest

%def_with python3

Name: python-module-%oname
Version: 3.2.0
Release: alt1
Summary: OpenStack test framework
License: ASLv2.0
Group: Development/Python
Url: https://pypi.python.org/pypi/oslotest/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

# https://github.com/openstack/oslotest.git
Source: %name-%version.tar
BuildArch: noarch


%if_with python3
BuildRequires(pre): rpm-build-python3
BuildRequires: python3-module-chardet
BuildRequires: python3-module-coverage
BuildRequires: python3-module-hacking
BuildRequires: python3-module-html5lib
BuildRequires: python3-module-jinja2-tests
BuildRequires: python3-module-mock
BuildRequires: python3-module-mox3
BuildRequires: python3-module-setuptools-tests
BuildRequires: python3-module-sphinx
BuildRequires: python3-module-testrepository
BuildRequires: python3-module-urllib3
BuildRequires: python3-module-yieldfrom.urllib3
%endif

%py_provides %oname

BuildRequires(pre): rpm-macros-sphinx
BuildRequires: git-core
BuildRequires: python-module-alabaster
BuildRequires: python-module-coverage
BuildRequires: python-module-docutils
BuildRequires: python-module-html5lib
BuildRequires: python-module-mock
BuildRequires: python-module-mox3
BuildRequires: python-module-objects.inv
BuildRequires: python-module-oslosphinx
BuildRequires: python-module-setuptools-tests
BuildRequires: python-module-testrepository
BuildRequires: python-module-openstackdocstheme
BuildRequires: python-module-debtcollector
BuildRequires: python-module-os-client-config
BuildRequires: python-module-oslo.config

%description
OpenStack test framework and test fixtures.

%package -n python3-module-%oname
Summary: OpenStack test framework
Group: Development/Python3
%py3_provides %oname

%description -n python3-module-%oname
OpenStack test framework and test fixtures.

%package docs
Summary: Documentation for %oname
Group: Development/Documentation
BuildArch: noarch

%description docs
OpenStack test framework and test fixtures.

This package contains documentation for %oname.

%prep
%setup
# let RPM handle deps
rm -rf {test-,}requirements.txt

git init-db
git config user.email "real at altlinux.org"
git config user.name "REAL"
git add . -A
git commit -a -m "commit"
git tag %version

%if_with python3
cp -fR . ../python3
%endif

%prepare_sphinx doc
ln -s ../objects.inv doc/source/

%build
%python_build_debug

%if_with python3
pushd ../python3
%python3_build_debug
popd
%endif

# generate html docs
%__python setup.py build_sphinx -b html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%if_with python3
pushd ../python3
%python3_install
popd
pushd %buildroot%_bindir
for i in $(ls); do
	sed -i 's|python|python3|g' $i
	sed -i 's|python33|python3|g' $i
	sed -i 's|tox|tox.py3|g' $i
	mv $i $i.py3
done
popd
%endif

%python_install

%check
python setup.py test
py.test
%if_with python3
pushd ../python3
# cleanup testrepository before running again
rm -rf .testrepository
python3 setup.py test
py.test3
popd
%endif

%files
%doc *.rst
%_bindir/*
%if_with python3
%exclude %_bindir/*.py3
%endif
%python_sitelibdir/*

%files docs
%doc doc/build/html/* LICENSE

%if_with python3
%files -n python3-module-%oname
%doc *.rst
%_bindir/*.py3
%python3_sitelibdir/*
%endif

%changelog
* Sat Mar 02 2019 Lenar Shakirov <snejok@altlinux.ru> 3.2.0-alt1
- 3.2.0

* Sun Mar 13 2016 Ivan Zakharyaschev <imz@altlinux.org> 1.11.0-alt1.1.1
- (NMU) rebuild with rpm-build-python3-0.1.9
  (for common python3/site-packages/ and auto python3.3-ABI dep when needed)

* Thu Jan 28 2016 Mikhail Efremov <sem@altlinux.org> 1.11.0-alt1.1
- NMU: Use buildreq for BR.

* Wed Oct 28 2015 Alexey Shabalin <shaba@altlinux.ru> 1.11.0-alt1
- 1.11.0

* Fri May 15 2015 Alexey Shabalin <shaba@altlinux.ru> 1.5.1-alt1
- 1.5.1

* Sat Nov 08 2014 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.0-alt1.git20141105
- Initial build for Sisyphus

